# coding: utf-8

"""
    VeeRoute Urban Delivery API

    Программный интерфейс продукта Urban Delivery  # noqa: E501

    The version of the OpenAPI document: 2.7.158395
    Contact: support@veeroute.com
    Generated by: https://openapi-generator.tech
"""


import pprint
import re  # noqa: F401

import six

from vrt_ud.configuration import Configuration


class OrdersFilter(object):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    """
    Attributes:
      openapi_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    openapi_types = {
        'time_window': 'TimeWindow',
        'zone': 'str',
        'keys': 'list[str]',
        'business_keys': 'list[str]'
    }

    attribute_map = {
        'time_window': 'time_window',
        'zone': 'zone',
        'keys': 'keys',
        'business_keys': 'business_keys'
    }

    def __init__(self, time_window=None, zone=None, keys=None, business_keys=None, local_vars_configuration=None):  # noqa: E501
        """OrdersFilter - a model defined in OpenAPI"""  # noqa: E501
        if local_vars_configuration is None:
            local_vars_configuration = Configuration()
        self.local_vars_configuration = local_vars_configuration

        self._time_window = None
        self._zone = None
        self._keys = None
        self._business_keys = None
        self.discriminator = None

        if time_window is not None:
            self.time_window = time_window
        if zone is not None:
            self.zone = zone
        if keys is not None:
            self.keys = keys
        if business_keys is not None:
            self.business_keys = business_keys

    @property
    def time_window(self):
        """Gets the time_window of this OrdersFilter.  # noqa: E501


        :return: The time_window of this OrdersFilter.  # noqa: E501
        :rtype: TimeWindow
        """
        return self._time_window

    @time_window.setter
    def time_window(self, time_window):
        """Sets the time_window of this OrdersFilter.


        :param time_window: The time_window of this OrdersFilter.  # noqa: E501
        :type: TimeWindow
        """

        self._time_window = time_window

    @property
    def zone(self):
        """Gets the zone of this OrdersFilter.  # noqa: E501

        Зона, в которую входит заказ  # noqa: E501

        :return: The zone of this OrdersFilter.  # noqa: E501
        :rtype: str
        """
        return self._zone

    @zone.setter
    def zone(self, zone):
        """Sets the zone of this OrdersFilter.

        Зона, в которую входит заказ  # noqa: E501

        :param zone: The zone of this OrdersFilter.  # noqa: E501
        :type: str
        """
        if (self.local_vars_configuration.client_side_validation and
                zone is not None and len(zone) > 256):
            raise ValueError("Invalid value for `zone`, length must be less than or equal to `256`")  # noqa: E501
        if (self.local_vars_configuration.client_side_validation and
                zone is not None and len(zone) < 1):
            raise ValueError("Invalid value for `zone`, length must be greater than or equal to `1`")  # noqa: E501

        self._zone = zone

    @property
    def keys(self):
        """Gets the keys of this OrdersFilter.  # noqa: E501

        Список ключей заказов  # noqa: E501

        :return: The keys of this OrdersFilter.  # noqa: E501
        :rtype: list[str]
        """
        return self._keys

    @keys.setter
    def keys(self, keys):
        """Sets the keys of this OrdersFilter.

        Список ключей заказов  # noqa: E501

        :param keys: The keys of this OrdersFilter.  # noqa: E501
        :type: list[str]
        """

        self._keys = keys

    @property
    def business_keys(self):
        """Gets the business_keys of this OrdersFilter.  # noqa: E501

        Список бизнес-ключей заказов  # noqa: E501

        :return: The business_keys of this OrdersFilter.  # noqa: E501
        :rtype: list[str]
        """
        return self._business_keys

    @business_keys.setter
    def business_keys(self, business_keys):
        """Sets the business_keys of this OrdersFilter.

        Список бизнес-ключей заказов  # noqa: E501

        :param business_keys: The business_keys of this OrdersFilter.  # noqa: E501
        :type: list[str]
        """

        self._business_keys = business_keys

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.openapi_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, OrdersFilter):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, OrdersFilter):
            return True

        return self.to_dict() != other.to_dict()
